import 'package:flutter/material.dart';

class DialogTextField {
  final String label;
  final String value;
  final String hint;
  final Function(String) onChanged;
  final Function(String) onEditingComplete;
  final bool valueAutoSelected;
  final String Function(String) validator;
  final bool obscureText;
  final int minLines;
  final int maxLines;
  final TextInputType textInputType;
  final TextCapitalization textCapitalization;
  final TextAlign textAlign;
  final String helperText;
  final InputBorder inputBorder;
  final TextStyle textStyle;
  final Widget prefixIcon;

  DialogTextField({
    this.label,
    this.value,
    this.hint,
    this.onChanged,
    this.onEditingComplete,
    this.valueAutoSelected,
    this.validator,
    this.obscureText,
    this.minLines,
    this.maxLines,
    this.textInputType,
    this.textCapitalization,
    this.textAlign,
    this.helperText,
    this.inputBorder,
    this.textStyle,
    this.prefixIcon,
  });
}
